> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/1.7/pipeline/outputs/datadog.md).

# Datadog

Send logs to Datadog

The Datadog output plugin allows to ingest your logs into [Datadog](https://app.datadoghq.com/signup).

Before you begin, you need a [Datadog account](https://app.datadoghq.com/signup), a [Datadog API key](https://docs.datadoghq.com/account_management/api-app-keys/), and you need to [activate Datadog Logs Management](https://app.datadoghq.com/logs/activation).

## Configuration Parameters

| Key         | Description                                                                                                              | Default                          |
| ----------- | ------------------------------------------------------------------------------------------------------------------------ | -------------------------------- |
| Host        | *Required* - The Datadog server where you are sending your logs.                                                         | `http-intake.logs.datadoghq.com` |
| TLS         | *Required* - End-to-end security communications security protocol. Datadog recommends setting this to `on`.              | `off`                            |
| compress    | *Recommended* - compresses the payload in GZIP format, Datadog supports and recommends setting this to `gzip`.           |                                  |
| apikey      | *Required* - Your [Datadog API key](https://app.datadoghq.com/account/settings#api).                                     |                                  |
| dd\_service | *Recommended* - The human readable name for your service generating the logs - the name of your application or database. |                                  |
| dd\_source  | *Recommended* - A human readable name for the underlying technology of your service. For example, `postgres` or `nginx`. |                                  |
| dd\_tags    | *Optional* - The [tags](https://docs.datadoghq.com/tagging/) you want to assign to your logs in Datadog.                 |                                  |

### Configuration File

Get started quickly with this configuration file:

```
[OUTPUT]
    Name        datadog
    Match       *
    Host        http-intake.logs.datadoghq.com
    TLS         on
    compress    gzip
    apikey      <my-datadog-api-key>
    dd_service  <my-app-service>
    dd_source   <my-app-source>
    dd_tags     team:logs,foo:bar
```

## Troubleshooting

### 403 Forbidden

If you get a `403 Forbidden` error response, double check that you have a valid [Datadog API key](https://docs.datadoghq.com/account_management/api-app-keys/) and that you have [activated Datadog Logs Management](https://app.datadoghq.com/logs/activation).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/1.7/pipeline/outputs/datadog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
